using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;
using System.IO;

public partial class Admin_NeiRong_YinYue_CheDiShanChu : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("彻底删除音乐", "网站后台", "彻底删除音乐", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();
        访问.验证权限("21");

        String rurl = Request.QueryString["rurl"];

        String[] IDS = Request.QueryString["ID"].Split(new char[] { ',' }, StringSplitOptions.RemoveEmptyEntries);

        SqlCommand 语句 = new SqlCommand("DELETE FROM ["+程序.数据表前缀+"内容_音乐_音乐] WHERE [ID]=@ID", 访问.连接);
        语句.Parameters.Add("@ID", SqlDbType.Int).Value = 0;

        for (int i = 0; i < IDS.Length; i++)
            删除音乐(Convert.ToInt32(IDS[i]));
        访问统计_管理记录 记录 = new 访问统计_管理记录(this.Context, 访问.连接);
        记录.记录("彻底删除音乐", 访问.用户["昵称"].ToString());

        Response.Redirect(rurl);
    }

    private void 删除音乐(int ID)
    {
        String 文件资源;
        SqlCommand 语句 = new SqlCommand("SELECT [文件资源] FROM [" + 程序.数据表前缀 + "内容_音乐_音乐] WHERE [ID]=" + ID, 访问.连接);
        SqlDataReader 读取 = 语句.ExecuteReader();
        if (读取.Read())
        {
            文件资源 = Convert.ToString(读取["文件资源"]);
            读取.Close();
        }
        else
        {
            读取.Close();
            return;
        }

        String[] 文件数组 = 文件资源.Split(new char[] { ',' }, StringSplitOptions.RemoveEmptyEntries);
        for (int i = 0; i < 文件数组.Length; i++)
            if (File.Exists(Server.MapPath(文件数组[i])))
                File.Delete(Server.MapPath(文件数组[i]));

        语句 = new SqlCommand("DELETE FROM ["+程序.数据表前缀+"内容_评论] WHERE [内容类型]='音乐' AND [内容ID]=" + ID, 访问.连接);
        语句.ExecuteNonQuery();

        语句 = new SqlCommand("DELETE FROM [" + 程序.数据表前缀 + "内容_音乐_音乐] WHERE [ID]=" + ID, 访问.连接);
        语句.ExecuteNonQuery();
    }
}
